Classes | Enumerations | Functions
NisusWrtStruct Namespace Reference

a namespace used to regroup the different structure used to parse a Nisus File More...

## Classes
struct | FootnoteInfo
| Internal: low level a structure helping to store the footnote information. More...
struct | Position
| a position More...
struct | RecursifData
| Internal: low level a structure helping to read recursifList. More...

## Enumerations
enum | ZoneType { Z_Main =0, Z_Footnote, Z_HeaderFooter }
| the different zone More...
enum | VariableType { V_None =0, V_Numbering, V_Variable, V_Version }
| the different variable type More...

## Functions
std::ostream & | operator<< (std::ostream &o, Position const &pos)
std::ostream & | operator<< (std::ostream &o, FootnoteInfo const &fnote)

## Detailed Description

a namespace used to regroup the different structure used to parse a Nisus File

## Enumeration Type Documentation

## ◆ VariableType

enum NisusWrtStruct::VariableType

the different variable type

Enumerator
V_None |
V_Numbering |
V_Variable |
V_Version |

## ◆ ZoneType

enum NisusWrtStruct::ZoneType

the different zone

Enumerator
Z_Main |
Z_Footnote |
Z_HeaderFooter |

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream& NisusWrtStruct::operator<< | ( | std::ostream & | o,
|  | Position const & | pos
| ) |  |

## ◆ operator<<() [2/2]

std::ostream& NisusWrtStruct::operator<< | ( | std::ostream & | o,
|  | FootnoteInfo const & | fnote
| ) |  |